Analytics Search Titles
curl -X POST "https://api.5centscdn.com/v2/players/5centscdn/analytics/search/titles" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"r": "2026-01-01 00:00:00 - 2026-01-31 23:59:59",
"search": "intro",
"assets": "12345,67890",
"page": 1
}'
import requests
import json
url = "https://api.5centscdn.com/v2/players/5centscdn/analytics/search/titles"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"r": "2026-01-01 00:00:00 - 2026-01-31 23:59:59",
"search": "intro",
"assets": "12345,67890",
"page": 1
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/players/5centscdn/analytics/search/titles", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"r": "2026-01-01 00:00:00 - 2026-01-31 23:59:59",
"search": "intro",
"assets": "12345,67890",
"page": 1
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"r": "2026-01-01 00:00:00 - 2026-01-31 23:59:59",
"search": "intro",
"assets": "12345,67890",
"page": 1
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/players/5centscdn/analytics/search/titles", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/players/5centscdn/analytics/search/titles')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"r": "2026-01-01 00:00:00 - 2026-01-31 23:59:59",
"search": "intro",
"assets": "12345,67890",
"page": 1
}'
response = http.request(request)
puts response.body
{
"pagination": {
"more": false
},
"results": []
}
/players/5centscdn/analytics/search/titles
Target server for requests. Edit to use your own host.
API key (sent in header)
The media type of the request body
Date range string in UTC format: "YYYY-MM-DD HH:mm:ss - YYYY-MM-DD HH:mm:ss". Used to scope title results.
Text search term to filter titles by name.
Comma-separated list of asset IDs to scope the title search. At least one asset is required.
Pagination page number. Starts at 1.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Body
Date range string in UTC format: "YYYY-MM-DD HH:mm:ss - YYYY-MM-DD HH:mm:ss". Used to scope title results.
2026-01-01 00:00:00 - 2026-01-31 23:59:59Comma-separated list of asset IDs to scope the title search. At least one asset is required.
12345,67890Responses
Pagination metadata for the results set.
Whether additional pages of results are available.
List of matching title records. Empty array if no titles match.
Unique identifier of the title. Use this value in the titles[] filter field.
Display label for the title.